Bug 114808 - [Qt][WTR] QQuickWindowPrivate::setRenderWithoutShowing has been removed from Qt 5
Summary: [Qt][WTR] QQuickWindowPrivate::setRenderWithoutShowing has been removed from ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P3 Normal
Assignee: Andras Becsi
URL:
Keywords: Qt
Depends on:
Blocks: 114171
  Show dependency treegraph
 
Reported: 2013-04-18 05:24 PDT by Andras Becsi
Modified: 2013-05-07 04:01 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.55 KB, patch)
2013-05-06 08:52 PDT, Andras Becsi
no flags Details | Formatted Diff | Diff
Patch (1.49 KB, patch)
2013-05-06 09:37 PDT, Andras Becsi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Becsi 2013-04-18 05:24:40 PDT
http://trac.webkit.org/changeset/131727 introduced a workaround to speed up layout tests on buildbots running in Xvfb.
This workaround depended on QQuickWindowPrivate::setRenderWithoutShowing which has been removed from QtDeclarative in https://codereview.qt-project.org/53880, thus we have to find a new solution for this problem.
Comment 1 Jocelyn Turcotte 2013-04-18 05:34:10 PDT
What?
Maybe they didn't know we used it, it's not really dead code.
Comment 2 Andras Becsi 2013-05-06 08:52:20 PDT
Created attachment 200704 [details]
Patch
Comment 3 Andras Becsi 2013-05-06 08:53:23 PDT
(In reply to comment #2)
> Created an attachment (id=200704) [details]
> Patch

This probably needs a Qt version update on the bots.
Comment 4 Jocelyn Turcotte 2013-05-06 09:09:00 PDT
Comment on attachment 200704 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=200704&action=review

> Tools/WebKitTestRunner/qt/PlatformWebViewQt.cpp:69
> +            // Remove this as soon as we depend on Qt 5.1

I think you can omit the comment, it won't be necessary to remove it before we completely stop supporting Qt 5.0 in trunk.
Comment 5 Andras Becsi 2013-05-06 09:37:10 PDT
Created attachment 200708 [details]
Patch
Comment 6 Andras Becsi 2013-05-06 09:39:31 PDT
Comment on attachment 200708 [details]
Patch

Ossy, feel free to land this if it is not causing issues for the pixel testing bot, since I'm not sure what version of Qt 5 is used there.
Comment 7 Andras Becsi 2013-05-07 04:01:11 PDT
Comment on attachment 200708 [details]
Patch

Clearing flags on attachment: 200708

Committed r149667: <http://trac.webkit.org/changeset/149667>
Comment 8 Andras Becsi 2013-05-07 04:01:18 PDT
All reviewed patches have been landed.  Closing bug.